## CamelMimePart

CamelMimePart

## Functions

CamelMimePart * | camel_mime_part_new ()
void | camel_mime_part_set_description ()
const gchar * | camel_mime_part_get_description ()
void | camel_mime_part_set_disposition ()
const gchar * | camel_mime_part_get_disposition ()
const CamelContentDisposition * | camel_mime_part_get_content_disposition ()
void | camel_mime_part_set_filename ()
const gchar * | camel_mime_part_get_filename ()
void | camel_mime_part_set_content_id ()
const gchar * | camel_mime_part_get_content_id ()
void | camel_mime_part_set_content_md5 ()
const gchar * | camel_mime_part_get_content_md5 ()
void | camel_mime_part_set_content_location ()
const gchar * | camel_mime_part_get_content_location ()
void | camel_mime_part_set_encoding ()
CamelTransferEncoding | camel_mime_part_get_encoding ()
void | camel_mime_part_set_content_languages ()
const GList * | camel_mime_part_get_content_languages ()
void | camel_mime_part_set_content_type ()
CamelContentType * | camel_mime_part_get_content_type ()
gboolean | camel_mime_part_construct_from_parser_sync ()
void | camel_mime_part_construct_from_parser ()
gboolean | camel_mime_part_construct_from_parser_finish ()
void | camel_mime_part_set_content ()
gboolean | camel_mime_part_construct_content_from_parser ()

## Properties

gchar * | content-id | Read / Write
gchar * | content-md5 | Read / Write
gchar * | description | Read / Write
gchar * | disposition | Read / Write

## Types and Values

struct | CamelMimePart

## Object Hierarchy

        GObject
        ╰── CamelDataWrapper
            ╰── CamelMedium
                ╰── CamelMimePart
                    ╰── CamelMimeMessage

## Description

## Functions

### camel_mime_part_new ()

    CamelMimePart *
    camel_mime_part_new (void);

Create a new MIME part.

#### Returns

a new CamelMimePart

### camel_mime_part_set_description ()

    void
    camel_mime_part_set_description (CamelMimePart *mime_part,
                                     const gchar *description);

Set a description on the MIME part.

#### Parameters

mime_part | a CamelMimePart |
description | description of the MIME part |

### camel_mime_part_get_description ()

    const gchar *
    camel_mime_part_get_description (CamelMimePart *mime_part);

Get the description of the MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the description

### camel_mime_part_set_disposition ()

    void
    camel_mime_part_set_disposition (CamelMimePart *mime_part,
                                     const gchar *disposition);

Set a disposition on the MIME part.

#### Parameters

mime_part | a CamelMimePart |
disposition | disposition of the MIME part |

### camel_mime_part_get_disposition ()

    const gchar *
    camel_mime_part_get_disposition (CamelMimePart *mime_part);

Get the disposition of the MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the disposition

### camel_mime_part_get_content_disposition ()

    const CamelContentDisposition *
    camel_mime_part_get_content_disposition
                                   (CamelMimePart *mime_part);

Get the disposition of the MIME part as a structure. Returned pointer is owned by `mime_part` .

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the disposition structure

Since 2.30

### camel_mime_part_set_filename ()

    void
    camel_mime_part_set_filename (CamelMimePart *mime_part,
                                  const gchar *filename);

Set the filename on a MIME part.

#### Parameters

mime_part | a CamelMimePart |
filename | filename given to the MIME part |

### camel_mime_part_get_filename ()

    const gchar *
    camel_mime_part_get_filename (CamelMimePart *mime_part);

Get the filename of a MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the filename of the MIME part

### camel_mime_part_set_content_id ()

    void
    camel_mime_part_set_content_id (CamelMimePart *mime_part,
                                    const gchar *contentid);

Set the content-id field on a MIME part.

#### Parameters

mime_part | a CamelMimePart |
contentid | content id |

### camel_mime_part_get_content_id ()

    const gchar *
    camel_mime_part_get_content_id (CamelMimePart *mime_part);

Get the content-id field of a MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the content-id field of the MIME part

### camel_mime_part_set_content_md5 ()

    void
    camel_mime_part_set_content_md5 (CamelMimePart *mime_part,
                                     const gchar *md5sum);

Set the content-md5 field of the MIME part.

#### Parameters

mime_part | a CamelMimePart |
md5sum | the md5sum of the MIME part |

### camel_mime_part_get_content_md5 ()

    const gchar *
    camel_mime_part_get_content_md5 (CamelMimePart *mime_part);

Get the content-md5 field of the MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the content-md5 field of the MIME part

### camel_mime_part_set_content_location ()

    void
    camel_mime_part_set_content_location (CamelMimePart *mime_part,
                                          const gchar *location);

Set the content-location field of the MIME part.

#### Parameters

mime_part | a CamelMimePart |
location | the content-location value of the MIME part |

### camel_mime_part_get_content_location ()

    const gchar *
    camel_mime_part_get_content_location (CamelMimePart *mime_part);

Get the content-location field of a MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the content-location field of a MIME part

### camel_mime_part_set_encoding ()

    void
    camel_mime_part_set_encoding (CamelMimePart *mime_part,
                                  CamelTransferEncoding encoding);

Set the Content-Transfer-Encoding to use on a MIME part.

#### Parameters

mime_part | a CamelMimePart |
encoding | a CamelTransferEncoding |

### camel_mime_part_get_encoding ()

    CamelTransferEncoding
    camel_mime_part_get_encoding (CamelMimePart *mime_part);

Get the Content-Transfer-Encoding of a MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

a CamelTransferEncoding

### camel_mime_part_set_content_languages ()

    void
    camel_mime_part_set_content_languages (CamelMimePart *mime_part,
                                           GList *content_languages);

Set the Content-Languages field of a MIME part.

#### Parameters

mime_part | a CamelMimePart |
content_languages | list of languages |

### camel_mime_part_get_content_languages ()

    const GList *
    camel_mime_part_get_content_languages (CamelMimePart *mime_part);

Get the Content-Languages set on the MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

a GList of languages

### camel_mime_part_set_content_type ()

    void
    camel_mime_part_set_content_type (CamelMimePart *mime_part,
                                      const gchar *content_type);

Set the content-type on a MIME part.

#### Parameters

mime_part | a CamelMimePart |
content_type | content-type string |

### camel_mime_part_get_content_type ()

    CamelContentType *
    camel_mime_part_get_content_type (CamelMimePart *mime_part);

Get the Content-Type of a MIME part.

#### Parameters

mime_part | a CamelMimePart |

#### Returns

the parsed CamelContentType of the MIME part

### camel_mime_part_construct_from_parser_sync ()

    gboolean
    camel_mime_part_construct_from_parser_sync
                                   (CamelMimePart *mime_part,
                                    CamelMimeParser *parser,
                                    GCancellable *cancellable,
                                    GError **error);

Constructs a MIME part from a parser.

#### Parameters

mime_part | a CamelMimePart |
parser | a CamelMimeParser |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

`TRUE` on success, `FALSE` on error

Since 3.0

### camel_mime_part_construct_from_parser ()

    void
    camel_mime_part_construct_from_parser (CamelMimePart *mime_part,
                                           CamelMimeParser *parser,
                                           gint io_priority,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously constructs a MIME part from a parser.

When the operation is finished, `callback` will be called. You can then call `camel_mime_part_construct_from_parser_finish()` to get the result of the operation.

#### Parameters

mime_part | a CamelMimePart |
parser | a CamelMimeParser |
io_priority | the I/O priority of the request |
cancellable | optional GCancellable object, or `NULL` |
callback | a GAsyncReadyCallback to call when the request is satisfied |
user_data | data to pass to the callback function |

Since 3.0

### camel_mime_part_construct_from_parser_finish ()

    gboolean
    camel_mime_part_construct_from_parser_finish
                                   (CamelMimePart *mime_part,
                                    GAsyncResult *result,
                                    GError **error);

Finishes the operation started with `camel_mime_part_construct_from_parser()`.

#### Parameters

mime_part | a CamelMimePart |
result | a GAsyncResult |
error | return location for a GError, or `NULL` |

#### Returns

`TRUE` on success, `FALSE` on error

Since 3.0

### camel_mime_part_set_content ()

    void
    camel_mime_part_set_content (CamelMimePart *mime_part,
                                 const gchar *data,
                                 gint length,
                                 const gchar *type);

Utility function used to set the content of a mime part object to be the provided data. If `length` is 0, this routine can be used as a way to remove old content (in which case `data` and `type` are ignored and may be `NULL`).

#### Parameters

mime_part | a CamelMimePart |
data | data to put into the part |
length | length of `data` |
type | Content-Type of the data |

### camel_mime_part_construct_content_from_parser ()

    gboolean
    camel_mime_part_construct_content_from_parser
                                   (CamelMimePart *mime_part,
                                    CamelMimeParser *mp,
                                    GCancellable *cancellable,
                                    GError **error);

Since 2.24

## Types and Values

### struct CamelMimePart

    struct CamelMimePart;

## Property Details

### The `“content-id”` property

      “content-id”               gchar *

Flags: Read / Write

Default value: NULL

### The `“content-md5”` property

      “content-md5”              gchar *

Flags: Read / Write

Default value: NULL

### The `“description”` property

      “description”              gchar *

Flags: Read / Write

Default value: NULL

### The `“disposition”` property

      “disposition”              gchar *

Flags: Read / Write

Default value: NULL